メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
usage-optimization
/
unutilized-resources
Get unutilized resources
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/usage-optimization/unutilized-resources \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/usage-optimization/unutilized-resources"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/usage-optimization/unutilized-resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "organizationId": 1,
      "serviceUniqueName": "datadog",
      "workspaceId": 12345678,
      "resourceType": "datadog-infrastructure-host",
      "resourceId": "id-12345678",
      "resourceAttributes": "abc123"
    }
  ],
  "meta": {
    "nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
    "totalItems": 1
  }
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

クエリパラメータ

limit
number

Limit the number of results returned. Maximum 200.

必須範囲: x <= 200
:

50

cursor
string

Cursor to paginate through results.

serviceUniqueName
string

The unique name of the service.

:

"datadog"

resourceType
enum<string>

The type of the resource.

利用可能なオプション:
datadog-infrastructure-host
workspaceId
number

The ID of the workspace.

:

12345678

レスポンス

items
object[]
必須
read-only
meta
object
必須
最終更新日 2026年7月14日